#!/usr/bin/env python

#    This file is part of VASM.
#
#    VASM is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License v3 as published by
#    the Free Software Foundation.
#
#    VASM is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with VASM.  If not, see <http://www.gnu.org/licenses/>.

""" gdmconfigparser.py
Provides a modified subclass of ConfigParser.SafeConfigParser to sanely
handle the gdm configuration parameters.
"""
__author__ = "Moises Henriquez"
__author_email__ = "moc.liamg@xnl.E0M"[::-1]

import ConfigParser

class ConfigHandler(ConfigParser.SafeConfigParser):
    def __init__(self, *args, **kwargs):
        ConfigParser.SafeConfigParser.__init__(self, *args, **kwargs)
        self.optionxform = str

    def write(self, fp):
        """ Override the original method to strip the whitespace between the
        key and the value """
        if self._defaults:
            fp.write("[%s]\n"% DEFAULTSEC)
            for (key, value) in self._defaults.items():
                fp.write("%s=%s\n"% (key, str(value).replace('\n','\n\t')))
            fp.write('\n')
        for section in self._sections:
            fp.write("[%s]\n" % section)
            for (key, value) in self._sections[section].items():
                if key == "__name__":
                    continue
                if (value is not None) or (self._optcre == self.OPTCRE):
                    key = "=".join((key, str(value).replace('\n','\n\t')))
                fp.write("%s\n"% (key))
            fp.write("\n")
