#!/usr/bin/env python

#    This file is part of VASM.
#
#    VASM is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License v3 as published by
#    the Free Software Foundation.
#
#    VASM is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with VASM.  If not, see <http://www.gnu.org/licenses/>.

__author__ = "Moises Henriquez"
__author_email__ = "moc.liamg@xnl.E0M"[::-1]

import gtk
import os
from vasm.ui.gtk2.support import dialogs
from vasm.backend.utils import _, launch_external_gui, datapath
import subprocess as sp
import logging

def __vasm_test__():
    return os.path.exists("/usr/bin/hardinfo")


def __run__(parent=None):
    logger = logging.getLogger('vasm')
    logger.info("Launching /usr/bin/hardinfo")
    @launch_external_gui
    def run_hardinfo():
        proc = sp.Popen(['/usr/bin/hardinfo'],
            stdout=sp.PIPE, stderr=sp.STDOUT)
        proc.communicate()
        return proc.returncode
    run_hardinfo()

VASM_CATEGORY = "%s/%s"% (_("System"), _("Hardware"))
VASM_ICON = os.path.join(datapath, 'hardinfo.png')
VASM_LABEL=_("System Information")
