#!/usr/bin/env python


#    This file is part of VASM.
#
#    VASM is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License v3 as published by
#    the Free Software Foundation.
#
#    VASM is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with VASM.  If not, see <http://www.gnu.org/licenses/>.

import gtk
import os
from vasm.ui.gtk2.support import widgets, dialogs
from vasm.backend.utils import _, launch_external_gui
import subprocess as sp

__author__ = "Moises Henriquez"
__author_email__ = "moc.liamg@xnl.E0M"[::-1]

def __vasm_test__():
    """ Tests that must be met before this module can be shown"""
    if os.getenv("DISPLAY") == ""  or not os.getenv("DISPLAY"):
        return False
    return os.path.exists("/usr/bin/exo-preferred-applications")

def __run__(caller_widget=None, parent=None):
    """ Launch the preferred xdg applications dialog"""
    
    @launch_external_gui
    def configure_apps():
        proc = sp.Popen("/usr/bin/exo-preferred-applications")
        proc.communicate()
    
    configure_apps()


VASM_CATEGORY ="%s/%s"% (_("Personal"), _("Graphical Environment"))
VASM_ICON=gtk.STOCK_INDEX
VASM_LABEL=_("Preferred Applications")

