#!/usr/bin/env python

#    This file is part of VASM.
#
#    VASM is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License v3 as published by
#    the Free Software Foundation.
#
#    VASM is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with VASM.  If not, see <http://www.gnu.org/licenses/>.

__author__ = "Moises Henriquez"
__author_email__ = "moc.liamg@xnl.E0M"[::-1]

import gtk
import os
from vasm.backend.utils import _, launch_external_gui, datapath
import subprocess as sp

def __vasm_test__():
    """ set of tests to see if this module should be visible in the
    current environment.
    
    Returns True if the module should be visible,
    False otherwise """
    if _find_binary() == "": return False
    if os.geteuid() > 0: return False
    return True

def _find_binary():
    """ Look in known paths for the gparted binary"""
    
    ret = ""
    for bin in ("/usr/sbin/gparted",
                "/usr/sbin/gpartedbin",
                "/usr/bin/gparted",
                "/usr/bin/gpartedbin"):
        if os.path.exists(bin):
            ret = bin
    return ret

def __run__(parent=None):
    @launch_external_gui
    def run_gparted():
        proc = sp.Popen(_find_binary())
        proc.communicate()
        return proc.returncode
    run_gparted()

VASM_CATEGORY = "%s/%s"% (_("System"), _("Hardware"))
VASM_ICON = os.path.join(datapath, 'gparted.svg')
VASM_LABEL=_("System Partitions")