#!/usr/bin/env python

#    This file is part of VASM.
#
#    VASM is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License v3 as published by
#    the Free Software Foundation.
#
#    VASM is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with VASM.  If not, see <http://www.gnu.org/licenses/>.

import subprocess as sp
import os
import gtk
from vasm.ui.gtk2.support import widgets
from vasm.backend.utils import _, launch_external_gui

__author__ = "Moises Henriquez"
__author_email__ = "moc.liamg@xnl.E0M"[::-1]


VASM_CATEGORY="%s/%s"% (_("System"), _("Hardware"))
VASM_LABEL=_("Print Settings")
VASM_ICON=gtk.STOCK_PRINT


def __vasm_test__():
    """ Run any tests required for this module to be visible on the main UI
    
    Must return True or False"""
    return os.path.exists("/usr/bin/system-config-printer")


def __run__(caller_widget=None, parent=None):
    """ run system-config-printer """
    @launch_external_gui
    def launch_print_settings():
        proc = sp.Popen(["system-config-printer"])
        proc.communicate()
    
    launch_print_settings()



