#!/usr/bin/env python

#    This file is part of VASM.
#
#    VASM is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License v3 as published by
#    the Free Software Foundation.
#
#    VASM is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with VASM.  If not, see <http://www.gnu.org/licenses/>.

import gtk
import os
from vasm.backend.utils import _
import password
import logging

logger = logging.getLogger('vasm')

__author__ = "Moises Henriquez"
__author_email__ = "moc.liamg@xnl.E0M"[::-1]

# vasm flags

VASM_CATEGORY=_("System")
VASM_LABEL=_("Administrator Password")
VASM_ICON=gtk.STOCK_DIALOG_AUTHENTICATION

def __vasm_test__():
    """ Tests to announce this module to the right Ui """
    # only show this for root.
    return not os.geteuid() > 0
    

def __run__(parent=None):
    #w = password.gtkUI()
    ui = password.GtkUI(parent=parent,for_user="own")
    ui.title = VASM_LABEL
    ui.launch()
    return ui.newpass1.entry.grab_focus()
