#!/usr/bin/env python

#    This file is part of VASM.
#
#    VASM is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License v3 as published by
#    the Free Software Foundation.
#
#    VASM is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with VASM.  If not, see <http://www.gnu.org/licenses/>.

import gtk
import sys
import os
from vasm.backend.utils import _, launch_external_gui, datapath
import subprocess as sp

__author__ = "Moises Henriquez"
__author_email__ = "moc.liamg@xnl.E0M"[::-1]



def __vasm_test__():
    """ Check if the external app exists before offering to launch it """
    if not os.getenv("DISPLAY"):
        return False
    if os.geteuid() == 0:
        # we better not run this as root
        return False
    return os.path.exists("/usr/bin/xscreensaver-demo")

def __run__(caller_widget=None, parent=None):
    @launch_external_gui
    def run_screensaver_config():
        proc = sp.Popen("xscreensaver-demo")
        proc.communicate()
    run_screensaver_config()

VASM_CATEGORY = "%s/%s"% (_("Personal"), _("Graphical Environment"))
VASM_ICON = os.path.join(datapath, 'xscreensaver.xpm')
VASM_LABEL=_("Screensaver")


