#!/usr/bin/env python

#    This file is part of VASM.
#
#    VASM is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License v3 as published by
#    the Free Software Foundation.
#
#    VASM is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with VASM.  If not, see <http://www.gnu.org/licenses/>.

import gtk
import sys
import os
from vasm.backend.utils import _, launch_external_gui, datapath
import subprocess as sp
import os
from vasm.ui.gtk2.support import dialogs

__author__ = "Moises Henriquez"
__author_email__ = "moc.liamg@xnl.E0M"[::-1]

def __vasm_test__():
    """ set of tests to see if this module should be visible in the
    current environment.
    
    Returns True if the module should be visible,
    False otherwise """
    if not os.getenv("DISPLAY") or os.getenv("DISPLAY") == "":
        return False
    if not os.path.exists("/usr/bin/startxfce4"):
        return False
    if os.geteuid() == 0:
        return False
    return True
    

def __run__(caller_widget=None, parent=None):
    @launch_external_gui
    def configure_xfce():
        proc = sp.Popen("xfce4-settings-manager")
        proc.communicate()
        res = proc.returncode
    # run the decorated function
    configure_xfce()
    

VASM_CATEGORY = "%s/%s"% (_("Personal"), _("Graphical Environment"))
VASM_ICON = os.path.join(datapath, 'xfce.png')
VASM_LABEL=_("XFCE4 Settings")
