#!/usr/bin/env python

#    This file is part of VASM.
#
#    VASM is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License v3 as published by
#    the Free Software Foundation.
#
#    VASM is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with VASM.  If not, see <http://www.gnu.org/licenses/>.

""" tui_utils.py
    Utilities to be used in the text interface to vasm
    """

__author__ = "Moises Henriquez"
__author_email__ = "moc.liamg@xnl.E0M"[::-1]

import subprocess as sp
import urwid

def _(txt):
    return txt

def run_external_tui(parent, command):
    """ Execute a command in the running text interface
    """
    if not isinstance(parent, urwid.MainLoop):
        if hasattr(parent, "_mainloop"):
            ml = parent._mainloop
    else:
        ml = parent
    
    # stop the screen
    ml.screen.stop()
    # create the process
    proc = sp.Popen(command)
    proc.communicate()
    retval = proc.returncode
    # start the screen back up
    ml.screen.start()